%global stackname ros_comm
%global gitrev a9ccfa8

Name:           ros-%{rosrelease}-ros-comm
Version:        1.9.39
Release:        1
Summary:        ROS communications-related packages

License:        BSD
URL:            http://www.ros.org/wiki/ros_comm
#wget --content-disposition https://github.com/ros/ros_comm/tarball/1.9.39
Source0:        ros-%{stackname}-%{version}-0-g%{gitrev}.tar.gz
Provides:       ros-ros-comm = %{version}-%{release}
Provides:       ros-%{stackname} = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  gtest
BuildRequires:  boost-devel
BuildRequires:  python-catkin
BuildRequires:  ros-release
BuildRequires:  ros-%{rosrelease}-ros-devel
BuildRequires:  ros-%{rosrelease}-message-generation
BuildRequires:  ros-%{rosrelease}-std-msgs

%description
ROS communications-related packages, including core client libraries
(roscpp, rospy, roslisp) and graph introspection tools (rostopic, rosnode,
rosservice, rosparam).

%package devel
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides: ros-ros-comm-devel = %{version}-%{release}
Provides: ros-%{stackname}-devel = %{version}-%{release}
Summary:  Development files for %{name}

%description devel
Development files for %{name}

%prep
%setup -q -n ros-%{stackname}-%{gitrev}

%build
source /usr/share/catkin/setup.sh
export CMAKE_PREFIX_PATH=/usr:/usr/share/genmsg:$CMAKE_PREFIX_PATH:/usr
catkin_init_workspace 
mkdir build
cd build
%cmake ../  \
  -DCATKIN_GLOBAL_LIB_DESTINATION="%{_lib}" \
  -DCATKIN_GLOBAL_LIBEXEC_DESTINATION=libexec 

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{stackname}

mv $RPM_BUILD_ROOT%{_usr}/.catkin $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/.rosinstall $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/_setup_util.py $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/env.sh $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/setup.* $RPM_BUILD_ROOT%{_datadir}/%{stackname}/

#mv $RPM_BUILD_ROOT%{_usr}/etc $RPM_BUILD_ROOT%{_sysconfdir}
#mv $RPM_BUILD_ROOT%{_datadir}/ros{unit,lib}/bin/* $RPM_BUILD_ROOT%{_bindir}
#rmdir $RPM_BUILD_ROOT%{_datadir}/ros{unit,lib}/bin/

%files
%{_libdir}/*.so
%{_datadir}/cpp_common
%{_datadir}/ros_comm
%{_datadir}/roscpp_serialization
%{_datadir}/roscpp_traits
%{_datadir}/rostime

%files devel
%{_includedir}/ros
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Jan 02 2013 Rich Mattes <richmattes@gmail.com> - 1.9.39-1
- Update to release 1.9.39 for groovy
